Summary: Rotates, compresses, removes and mails system log files
Name: logrotate
Version: 3.7.8
Release: 2
License: GPL+
Group: System Environment/Base
Source0: https://fedorahosted.org/releases/l/o/%{name}/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
Patch1: %{name}-aix-missing-asprintf.patch
Patch2: %{name}-aix-missing-vasprintf.patch
Patch3: %{name}-%{version}-toolarge.patch
Patch4: %{name}-%{version}-mbrtowc.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: popt-devel, make, patch
Requires: coreutils, popt

%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files.  Logrotate
allows for the automatic rotation compression, removal and mailing of
log files.  Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size.  Normally,
logrotate runs as a daily cron job.

Install the logrotate package if you need a utility to deal with the
log files on your system.


%prep
PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4


%build
gmake %{?_smp_mflags} RPM_OPT_FLAGS="-O"


%install
export PATH=/opt/freeware/bin:$PATH
rm -f .depend

gmake PREFIX=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily
mkdir -p ${RPM_BUILD_ROOT}%{_localstatedir}/lib

install -p -m 644 examples/logrotate-default ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.conf
install -p -m 755 examples/logrotate.cron ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily/logrotate
touch ${RPM_BUILD_ROOT}%{_localstatedir}/lib/logrotate.status

cd ${RPM_BUILD_ROOT}
mkdir -p usr/sbin
cd usr/sbin
ln -sf ../..%{_sbindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc CHANGES COPYING
%attr(0755,root,system) %{_sbindir}/logrotate
%attr(0644,root,system) %{_mandir}/man8/logrotate.8*
%attr(0755,root,system) %{_sysconfdir}/cron.daily/logrotate
%attr(0644,root,system) %config(noreplace) %{_sysconfdir}/logrotate.conf
%attr(0755,root,system) %dir %{_sysconfdir}/logrotate.d
%attr(0644,root,system) %verify(not size md5 mtime) %config(noreplace) %{_localstatedir}/lib/logrotate.status
/usr/sbin/*


%changelog
* Fri Jun 26 2009 Michael Perzl <michael@perzl.org> - 3.7.8-2
- included olddir option fix

* Wed Jun 17 2009 Michael Perzl <michael@perzl.org> - 3.7.8-1
- updated to version 3.7.8

* Tue Jun 24 2008 Michael Perzl <michael@perzl.org> - 3.7.7-1
- first version for AIX V5.1 and higher
